%

clear all; close all; clc



a = 0; b = 2*pi; 
m = 40;

k = 5; 
h = (b-a)/m; 
x = a:h:b; 
f = sin(k*x); 

xx = linspace(a,b); 
ff = sin(k*xx); 

plot( xx,ff, x,f)
axis tight
set(gca,'FontSize',16)
xi = h*k; 
if xi <= pi/4
    title(['\xi=',num2str(xi),'<pi/4'],'FontSize',16)
else
    title(['\xi=',num2str(xi),'>pi/4'],'FontSize',16)
end
disp(['dimensionless wave number: ', num2str(xi)])
